//***********************************************************************************//
//*	Project:																		*//
//*																					*//
//*	File:		main.c			 													*//
//*	Version:	1.0																	*//
//*																					*//
//*	Author:		Bob Marlowe															*//
//*	(C) 2018	Jörg Meier Software - Entwicklung briefe@jmeiersoftware.de			*//
//***********************************************************************************//
//***********************************************************************************//
//*																					*//
//*		Principles of Operation														*//
//*																					*//
//*		Show gating of PWM output using an AND gate snd a control register			*//
//*																					*//
//*																					*//
//***********************************************************************************//

//***********************************************************************************//
//**************** Libraries ********************************************************//
//***********************************************************************************//
#include <project.h>
#include <Main.h>

//***********************************************************************************//
//**************** Definitions and Macros *******************************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//******************* Structs, Typedefs and Enums ***********************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//******************* Data Area *****************************************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//****************** Prototypes *****************************************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//**************** Program Area *****************************************************//
//***********************************************************************************//

void InitializeSystem(void)								//	Start all components, initialize  variables, perform self-test
{
	CyGlobalIntEnable;									//	Enable interrupt handling
	PWM_Start();
}
//***********************************************************************************//

int main()
{
Bool OnOff = TRUE;
	InitializeSystem();
	while(forever)										//	*** Main loop
	{
		CyDelay(250);								//	Wait 250 ms
		OnOff = !OnOff;								//	Change state
		Control_Reg_Write(OnOff);					//	Change AND input
	}
}
//***********************************************************************************//

